MR_dec Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| MR_dec (const uint8_t *HT_magref_segment, uint32_t magref_length)
uint8_t | importMagRefBit ()

## Private Attributes

const uint32_t | Lref
uint8_t | bits
uint8_t | last
uint8_t | tmp
int32_t | pos
const uint8_t * | Dref

## Constructor & Destructor Documentation

## MR_dec()

MR_dec::MR_dec | ( | const uint8_t * | HT_magref_segment,
|  | uint32_t | magref_length
| ) |  |

inline

## Member Function Documentation

## importMagRefBit()

uint8_t MR_dec::importMagRefBit | ( |  | ) |

References bits, Dref, last, pos, and tmp.

Referenced by ht_magref_decode().

## Member Data Documentation

## bits

uint8_t MR_dec::bits

private

Referenced by importMagRefBit().

## Dref

const uint8_t* MR_dec::Dref

private

Referenced by importMagRefBit().

## last

uint8_t MR_dec::last

private

Referenced by importMagRefBit().

## Lref

const uint32_t MR_dec::Lref

private

## pos

int32_t MR_dec::pos

private

Referenced by importMagRefBit().

## tmp

uint8_t MR_dec::tmp

private

Referenced by importMagRefBit().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp